﻿@model QuadrusMotorCompany.Web.Models.Inventory.VehicleEditModel
@{
    ViewBag.Title = $"QMC - Manage {Model.Make} {Model.Model}";
}

<h2>
    Update Inventory
</h2>
<hr />

@using (Html.BeginForm())
{
    @Html.HiddenFor(x => x.Id)
    @Html.HiddenFor(x => x.ImagePath)
    <div class="row">
        <div class="col-md-5">
            <img src="@Url.Action("Image", "Vehicle", new { id = Model.Id })" alt="" />
        </div>
        <div class="col-md-6 col-md-offset-1">
            <div class="form-group">
                @Html.LabelFor(x => x.Make)
                @Html.TextBoxFor(x => x.Make, new { @class = "form-control", @readonly = true })
            </div>

            <div class="form-group">
                @Html.LabelFor(x => x.Model)
                @Html.TextBoxFor(x => x.Model, new { @class = "form-control", @readonly = true })
            </div>

            <div class="form-group">
                @Html.LabelFor(x => x.Price)
                @Html.TextBoxFor(x => x.Price, new { @class = "form-control" })
            </div>

            <div class="form-group">
                @Html.LabelFor(x => x.Description)
                @Html.TextAreaFor(x => x.Description, new { rows = 5, @class = "form-control" })
            </div>

            <div class="form-group">
                <button class="btn btn-primary">Update</button>
                <a href="@Url.Action("Manage")" class="btn btn-default">Cancel</a>
            </div>
        </div>
    </div>
}